#pragma once

#include "resource.h"

#define	REGPATH_SKKIME	TEXT("Software\\TT\\Windows\\CurrentVersion\\SKKIME\\1.5")
#define	REGPATH_GENERIC	REGPATH_SKKIME TEXT("\\Generic")
#define	REGINFO_TICK	TEXT("Tick")

struct TMENUITEM {
	unsigned int		m_fMask ;
	int					m_fType ;
	UINT				m_fState ;
	LPCTSTR				m_strText ;
	int					m_wID ;
} ;

int		iShortStringCopy		(LPWSTR, int, LPCWSTR, int) ;
int		iString2PrintableString	(LPTSTR, int, LPCWSTR, int) ;
void	vKey2String				(LPTSTR, int, UINT) ;
void	vKey2StringEx			(LPTSTR, int, UINT, UINT) ;
int		iKeyList2String			(LPTSTR, int, LPCWSTR) ;
BOOL	bGetKeyFuncName			(LPTSTR, int, int) ;

BOOL	EnableDlgItem						(HWND, int, BOOL) ;
BOOL	SetDropDownListCurrentSelectionByData	(HWND, int, int) ;
BOOL	IsRadioButtonChecked				(HWND, int, int, int) ;
BOOL	bCreateRegistryKey					(LPCTSTR, BOOL, HKEY*) ;
int		iPopupMenu							(HWND, const struct TMENUITEM*, int) ;
BOOL	bParseBSEncodedString				(LPCTSTR*, LPTSTR, int, BOOL*) ;
int		iCountBSEncodedString				(LPCTSTR) ;
int		iBSEncodeString						(LPTSTR, LPCTSTR) ;
void	vUpdateTick							(void) ;


